Subject: network-manager updated to unstable version?

From: John Kehayias <[email-masked]>
Date: Wed, 29 Mar 2023 05:47:18 +0000

Hi Guix,

(cc'ing Maxim as author of last few network-manager version updates.)

I noticed a recent up date to network-manager to 1.43.4 (previously 1.41.2 and 1.40.0) but can't find a record of that release. In their docs there is no mention of anything newer than the 1.42 release [0, 1] and they mention the even-numbered releases being the stable series [2]. Indeed, Arch only has 1.42.4 in their repos [3]. I only see "dev" tags for these 1.43 versions in their gitlab.

Should we be on a 1.42.y version instead?

I noticed this because the update to 1.43.4 has an issue with my (wired) connection not resuming from sleep when previously it did. I have to restart the service. I had some logs I can dig up, but in discussing on IRC (no logs that day it seems) there was nothing out of the ordinary and the shepherd service seemed normal.

I've since reconfigured to a commit before the most recent version change, namely 5174820753be045ba4fc7cc93da33f4e0b730bc3 and cannot reproduce the issue so seems due to newer versions of network-manager after 1.41.2 at least.

Note that this may have been reported upstream [4], but I haven't tested with the current stable release. So this may be a separate (upstream) issue.

Anyway, the first question is what version we should have of network-manager?

Thanks!
John

[0 ]<https://gitlab.freedesktop.org/NetworkManager/NetworkManager/-/blob/main/NEWS>

[1] <https://networkmanager.dev/blog/>

[2] <https://wiki.gnome.org/Projects/NetworkManager/>

[3] <https://archlinux.org/packages/extra/x86_64/networkmanager/>

[4] <https://gitlab.freedesktop.org/NetworkManager/NetworkManager/-/issues/1258>